package com.siginfo.vo;

import java.util.ArrayList;
import java.util.Collection;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="CrossRoadInfoResponse")
public class CrossRoadInfoResponse {
	
	private Collection<CrossRoadInfoHeaderVO> crossRoadInfoHeaderVO;
	private Collection<CrossRoadInfoListVO>   crossRoadInfoListVO;
	private Collection<CrossRoadInfoDetailVO> crossRoadInfoDetailVO;
	private Collection<PlanCRHDInfoVO> planCRHDInfoVO;
	private Collection<PlanCRWDInfoVO> planCRWDInfoVO;
	private Collection<PlanCRRSInfoVO> planCRRSInfoVO;
	private Collection<PlanCROPInfoVO> planCROPInfoVO;
	
	private String crossRoadInfoListJson;
	
	public String getCrossRoadInfoListJson() {
		return crossRoadInfoListJson;
	}

	public void setCrossRoadInfoListJson(String crossRoadInfoListJson) {
		this.crossRoadInfoListJson = crossRoadInfoListJson;
	}

	public CrossRoadInfoResponse() {
		this.crossRoadInfoHeaderVO = new ArrayList<CrossRoadInfoHeaderVO>();
		this.crossRoadInfoListVO   = new ArrayList<CrossRoadInfoListVO>();
		this.crossRoadInfoDetailVO = new ArrayList<CrossRoadInfoDetailVO>();
		this.planCRHDInfoVO = new ArrayList<PlanCRHDInfoVO>();
		this.planCRWDInfoVO = new ArrayList<PlanCRWDInfoVO>();
		this.planCRRSInfoVO = new ArrayList<PlanCRRSInfoVO>();
		this.planCROPInfoVO = new ArrayList<PlanCROPInfoVO>();
	}
	
	//@XmlElement(name="Header")
	//@JsonProperty("Header")
	public Collection<CrossRoadInfoHeaderVO> getCrossRoadInfoHeaderVO() {
		return crossRoadInfoHeaderVO;
	}
	
	public void setCrossRoadInfoHeaderVO(Collection<CrossRoadInfoHeaderVO> crossRoadInfoHeaderVO) {
		this.crossRoadInfoHeaderVO = crossRoadInfoHeaderVO;
	}
	
	//@XmlElement(name="CrossRoadInfoList")
	//@JsonProperty("CrossRoadInfoList")
	public Collection<CrossRoadInfoListVO> getCrossRoadInfoListVO() {
		return crossRoadInfoListVO;
	}
	
	public void setCrossRoadInfoListVO(Collection<CrossRoadInfoListVO> crossRoadInfoListVO) {
		this.crossRoadInfoListVO = crossRoadInfoListVO;
	}
	
	//@XmlElement(name="CrossRoadInfoDetail")
	//@JsonProperty("CrossRoadInfoDetail")
	public Collection<CrossRoadInfoDetailVO> getCrossRoadInfoDetailVO() {
		return crossRoadInfoDetailVO;
	}
	
	public void setCrossRoadInfoDetailVO(Collection<CrossRoadInfoDetailVO> crossRoadInfoDetailVO) {
		this.crossRoadInfoDetailVO = crossRoadInfoDetailVO;
	}

	//@XmlElement(name="planCRHDInfo")
	//@JsonProperty("planCRHDInfo")
	public Collection<PlanCRHDInfoVO> getPlanCRHDInfoVO() {
		return planCRHDInfoVO;
	}

	public void setPlanCRHDInfoVO(Collection<PlanCRHDInfoVO> planCRHDInfoVO) {
		this.planCRHDInfoVO = planCRHDInfoVO;
	}

	//@XmlElement(name="planCRWDInfo")
	//@JsonProperty("planCRWDInfo")
	public Collection<PlanCRWDInfoVO> getPlanCRWDInfoVO() {
		return planCRWDInfoVO;
	}

	public void setPlanCRWDInfoVO(Collection<PlanCRWDInfoVO> planCRWDInfoVO) {
		this.planCRWDInfoVO = planCRWDInfoVO;
	}

	//@XmlElement(name="planCRRSInfo")
	//@JsonProperty("planCRRSInfo")
	public Collection<PlanCRRSInfoVO> getPlanCRRSInfoVO() {
		return planCRRSInfoVO;
	}

	public void setPlanCRRSInfoVO(Collection<PlanCRRSInfoVO> planCRRSInfoVO) {
		this.planCRRSInfoVO = planCRRSInfoVO;
	}

	//@XmlElement(name="planCROPInfo")
	//@JsonProperty("planCROPInfo")
	public Collection<PlanCROPInfoVO> getPlanCROPInfoVO() {
		return planCROPInfoVO;
	}

	public void setPlanCROPInfoVO(Collection<PlanCROPInfoVO> planCROPInfoVO) {
		this.planCROPInfoVO = planCROPInfoVO;
	}
}